/* 
 *	HT Editor
 *	tools.cc
 *
 *	Copyright (C) 1999, 2000, 2001 Stefan Weyergraf (stefan@weyergraf.de)
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 2 as
 *	published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "config.h"
#include "tools.h"

#include <stdlib.h>

int *random_permutation(int max)
{
	int *table= (int *)malloc(max * 4);
	int i,j,k,l,m;
	for (i=0; i<max; i++) *(table+i) = i;
	for (i=0; i<max; i++) {
		k=rand()%(max);
		l=rand()%(max);
		m=rand()%(max);
		j=*(table+k);
		*(table+k)=*(table+l);
		*(table+l)=j;
		j=*(table+i);
		*(table+i)=*(table+m);
		*(table+m)=j;
	}
	return table;
}

